Subject: Re: gro vs vlan in myri10ge

From: Andrew Gallatin <[email-masked]>
Date: Fri, 09 Nov 2012 07:47:02 -0500

On 11/08/12 21:41, Eric Dumazet wrote:
> On Thu, 2012-11-08 at 21:20 -0500, Andrew Gallatin wrote:
<...>
>> Is this (popping vlan tags in the driver) acceptable, or is it
>> too much of a layering violation?
>
> Given GRO assumes NIC does hardware vlan offloading, I guess
> I would chose to do that.
>
> It seems unfortunate to add vlan decap in GRO path, already very
> complex.

OK, then I will prepare & run through q/a a real patch that does this.

Thanks again,

Drew